//-----------Top Path-----------
  //路徑鈕 註冊的function
function main_PathMqttJsonGroup_click(that)
{
	var Class = new Path();
	Class.ClearTheDivOfTheTail(that, "#Main_Top-Path");
	$("#Main_Left-List").css("display", "block");
	Class = new MqttJsonGroupSecondPage();
	Class.NoConfirmButton();
	Class = null;
}
//-----------Left List-----------
function main_MqttJsonGroup_click(that)
{
	var LeftDivId="#Main_Left-List";
	var Class = new ListCommon();
	Class.ChangeDivCss(that, LeftDivId);
	Class = new Path();
	Class.LoadPathHtml($(that).text(), 1, "main_PathMqttJsonGroup_click(this)");
	Class = new LoadHtml();
	var Html = Class.ReadTranslateAfterOfHtml("./Plugin/MqttJsonGroup/html/Css.html");
	Html = Html + Class.ReadTranslateAfterOfHtml("./Plugin/MqttJsonGroup/html/UpdatePage.html");
	Html = Html + Class.ReadTranslateAfterOfHtml("./Plugin/MqttJsonGroup/html/FirstPage.html");
	Html = Html + Class.ReadTranslateAfterOfHtml("./Plugin/MqttJsonGroup/html/SecondPage.html");
	$("#Main_Center-Content").empty();
	$("#Main_Center-Content").append(Html);
	Class = new MqttJsonGroupUpdatePage();
	Class.Initialization();
	Class = null;
}
//-----------MQTT JSON 群組-----------
  //第1頁
function main_MqttJsonGroupAddNewRow_click(that)
{
	var Class = new MqttJsonGroupFirstPage();
	Class.AddNewRow(that);
	Class = null;
}
function main_MqttJsonGroupEditButton_click(that)
{
	var Class = new MqttJsonGroupFirstPage();
	Class.EditButton(that);
	Class = null;
}
function main_MqttJsonGroupChangeAllCheckbox_click(that)
{
	var Class = new MqttJsonGroupFirstPage();
	Class.ChangeAllCheckbox(that);
	Class = null;
}
function main_MqttJsonGroupShowPreviousPage_click()
{
	var Class = new MqttJsonGroupFirstPage();
	Class.ShowPreviousPage();
	Class = null;
}
function main_MqttJsonGroupShowNextPage_click()
{
	var Class = new MqttJsonGroupFirstPage();
	Class.ShowNextPage();
	Class = null;
}
function main_MqttJsonGroupDelete_click(that)
{
	var Class = new MqttJsonGroupFirstPage();
	if(Class.IsTickedGroup() == false)
	{
		$(that).closest(".Column").find(".Message").eq(0).show();
		return 0;
	}
	$(that).closest(".Column").find(".Message").eq(0).hide();
	Class.DeleteRow(that);
	Class = null;
}
function main_MqttJsonGroupSave_click(that)
{
	var Class = new MqttJsonGroupFirstPage();
	Class.SaveButton(that);
	Class = null;
}
  //第2頁
function main_MqttJsonGroupConfirmButton_click(that)
{
	var Class = new MqttJsonGroupSecondPage();
	Class.ConfirmButton(that);
	Class = null;
}
function main_MqttJsonGroupNoConfirmButton_click()
{
	var Class = new MqttJsonGroupSecondPage();
	Class.NoConfirmButton();
	Class = null;
}